/**
 * @file
 * A Backbone Collection for the edit_ui block.
 */

(function (Drupal, Backbone, $) {

  "use strict";

  /**
   * Backbone collection for the edit_ui block.
   */
  Drupal.editUiBlock.BlockCollection = Backbone.Collection.extend({
    /**
     * {@inheritdoc}
     */
    model: Drupal.editUiBlock.BlockModel,

    /**
     * {@inheritdoc}
     */
    url: Drupal.url('edit-ui/block'),

    /**
     * {@inheritdoc}
     */
    comparator: 'weight',

    /**
     * {@inheritdoc}
     */
    initialize: function (options) {
      this.on('change:weight', this.sort);
    },

    /**
     * Return blocks bellonging to given region.
     *
     * @param String region
     *   Region name.
     * @return Array
     */
    getRegionBlocks: function (region) {
      return this.where({region: region});
    }
  });

}(Drupal, Backbone, jQuery));
